Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.samples.basic.event
Class WindowConstraintEventListener.WindowManipulator

    java.lang.Object
      org.jboss.portal.core.samples.basic.event.WindowConstraintEventListener.WindowManipulator

Enclosing class:
  WindowConstraintEventListener

    public class WindowConstraintEventListener.WindowManipulator

extends java.lang.Object

Constructor Summary
`WindowConstraintEventListener.WindowManipulator(NavigationalStateContext nsContext, PortalNode parent)`

Method Summary
`java.lang.String` | `getRegionName(PortalNode window)`
`java.util.Set` | `getRegionNames()`
`java.util.Collection` | `getWindows(java.lang.String regionName)`
`org.jboss.portal.WindowState` | `getWindowState(PortalNode window)`
`void` | `setWindowState(PortalNode window, org.jboss.portal.WindowState windowState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowConstraintEventListener.WindowManipulator

    public WindowConstraintEventListener.WindowManipulator(NavigationalStateContext nsContext,
                                                           PortalNode parent)

Method Detail

### getRegionName

    public java.lang.String getRegionName(PortalNode window)

### getRegionNames

    public java.util.Set getRegionNames()

### getWindows

    public java.util.Collection getWindows(java.lang.String regionName)

### getWindowState

    public org.jboss.portal.WindowState getWindowState(PortalNode window)

### setWindowState

    public void setWindowState(PortalNode window,
                               org.jboss.portal.WindowState windowState)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD